Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.dcd.graph
Class NodeVisitorAdapter

    java.lang.Object
      net.sourceforge.pmd.dcd.graph.NodeVisitorAdapter

All Implemented Interfaces:
  NodeVisitor

Direct Known Subclasses:
  DumpNodeVisitor, UsageNodeVisitor

    public class NodeVisitorAdapter

extends java.lang.Object
implements NodeVisitor

Adapter class for easy implementation of a NodeVisitor. Subclasses need only override methods to add behavior, and call `super` to continue the visitation.

Constructor Summary
`NodeVisitorAdapter()`

Method Summary
`java.lang.Object` | `visit(ClassNode classNode, java.lang.Object data)`
`java.lang.Object` | `visit(ConstructorNode constructorNode, java.lang.Object data)`
`java.lang.Object` | `visit(FieldNode fieldNode, java.lang.Object data)`
`java.lang.Object` | `visit(MethodNode methodNode, java.lang.Object data)`
`java.lang.Object` | `visit(UsageGraph usageGraph, java.lang.Object data)`
`java.lang.Object` | `visitConstructors(ClassNode classNode, java.lang.Object data)`
`java.lang.Object` | `visitFields(ClassNode classNode, java.lang.Object data)`
`java.lang.Object` | `visitMethods(ClassNode classNode, java.lang.Object data)`
`java.lang.Object` | `visitUse(MemberNode memberNode, java.lang.Object data)`
`java.lang.Object` | `visitUser(MemberNode memberNode, java.lang.Object data)`
`java.lang.Object` | `visitUsers(MemberNode memberNode, java.lang.Object data)`
`java.lang.Object` | `visitUses(MemberNode memberNode, java.lang.Object data)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NodeVisitorAdapter

    public NodeVisitorAdapter()

Method Detail

### visit

    public java.lang.Object visit(UsageGraph usageGraph,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `NodeVisitor`

### visit

    public java.lang.Object visit(ClassNode classNode,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `NodeVisitor`

### visitFields

    public java.lang.Object visitFields(ClassNode classNode,
                                        java.lang.Object data)

  Specified by:
    `visitFields` in interface `NodeVisitor`

### visit

    public java.lang.Object visit(FieldNode fieldNode,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `NodeVisitor`

### visitConstructors

    public java.lang.Object visitConstructors(ClassNode classNode,
                                              java.lang.Object data)

  Specified by:
    `visitConstructors` in interface `NodeVisitor`

### visit

    public java.lang.Object visit(ConstructorNode constructorNode,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `NodeVisitor`

### visitMethods

    public java.lang.Object visitMethods(ClassNode classNode,
                                         java.lang.Object data)

  Specified by:
    `visitMethods` in interface `NodeVisitor`

### visit

    public java.lang.Object visit(MethodNode methodNode,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `NodeVisitor`

### visitUses

    public java.lang.Object visitUses(MemberNode memberNode,
                                      java.lang.Object data)

  Specified by:
    `visitUses` in interface `NodeVisitor`

### visitUse

    public java.lang.Object visitUse(MemberNode memberNode,
                                     java.lang.Object data)

  Specified by:
    `visitUse` in interface `NodeVisitor`

### visitUsers

    public java.lang.Object visitUsers(MemberNode memberNode,
                                       java.lang.Object data)

  Specified by:
    `visitUsers` in interface `NodeVisitor`

### visitUser

    public java.lang.Object visitUser(MemberNode memberNode,
                                      java.lang.Object data)

  Specified by:
    `visitUser` in interface `NodeVisitor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2009 InfoEther. All Rights Reserved.